.node-teaser--highlight a {
  --a--position: static;
}
.node-teaser--highlight a::before {
  content: "";
  position: absolute;
  inset: 0;
  z-index: 1;
}

.node-teaser--highlight .node-teaser__heading {
  font-size: var(--heading--font-size);
  color: var(--headline-color);
  line-height: var(--heading--line-height, 1);
  font-weight: var(--heading--font-weight);
  text-transform: var(--heading--text-transform);
  transition: var(--heading--transition, all 200ms ease-in-out);
  margin-top: var(--heading--margin-top);
  margin-bottom: var(--heading--margin-bottom);
  letter-spacing: var(--heading--letter-spacing);
  text-wrap: balance;
}

.node-teaser--highlight .node-teaser__heading {
  --heading--font-size: var(
    --h3--font-size,
    clamp(1.25rem, 1.1458333333rem + 0.5208333333vw, 1.5625rem)
  );
  --heading--line-height: 1.333;
  --heading--font-weight: 800;
}
.node-teaser--highlight .node-teaser__heading:is(:not(:first-child)) {
  --heading--margin-top: 0.75em;
}

.node-teaser--highlight {
  display: inline-flex;
  -moz-column-gap: 35.15625px;
       column-gap: 35.15625px;
  row-gap: 18px;
}
.node-teaser--highlight .node-teaser__heading {
  --heading--font-weight: 500;
}
.node-teaser--highlight .node-teaser__content {
  --img--width: 100%;
  flex-shrink: 0;
  order: -1;
}
@container (width > 500px) {
  .node-teaser--highlight .node-teaser__content {
    width: 270px;
  }
}
@container (width < 500px) {
  .node-teaser--highlight {
    flex-direction: column;
    display: flex;
  }
}
